import { COriginal, CplusplusOriginal, JavaOriginal } from "devicons-react";

export const SUPPORTED_EDITOR_LANGUAGES = ["c", "cpp", "java"];

export const SUPPORTED_EDITOR_LANGUAGES_CONFIG = {
  c: {
    id: "c",
    label: "C",
    icon: COriginal,
  },
  cpp: {
    id: "cpp",
    label: "C++",
    icon: CplusplusOriginal,
  },
  java: {
    id: "java",
    label: "Java",
    icon: JavaOriginal,
  },
};

export type SupportedEditorLanguage =
  (typeof SUPPORTED_EDITOR_LANGUAGES)[number];
